Test::MockFile::Plugin(3pm)

NAME
Test::MockFile::Plugin - Plugin base class

SYNOPSIS
  package Test::MockFile::Plugin::YourCustomPlugin;

  use base 'Test::MockFile::Plugin';

  sub register {

    my ( $self ) = @_;

    # Code to setup your plugin here
    ...
  }

DESCRIPTION
Test::MockFile::Plugin is an abstract base class for Test::MockFile plugins.

METHODS

  new( %opts )
Constructor provided to all Plugin packages so they have a location to store their internal data.

  register
  $plugin->register();

This method will be called by Test::MockFile::Plugins on imports.

SEE ALSO
Test::MockFile